Automatically blacklist the page's source language without manual $wgTranslateBlacklist
Closed, ResolvedPublic

Description

I'm currently able to translate a pt-br page into pt-br, which doesn't make sense. https://br.wikimedia.org/?diff=37088

Arguably this is blocked by T37489, rather than a blocker: they need to be fixed at the same time or the "it's not a bug, it's a feature!" brwikimedia does (translating from en to pt-br even though the source is technically pt-br) would be prevented, and pains made worse.

Cf. fd6312d50a32012991c058a6295879d456133a34

Nemo_bis updated the task description. (Show Details)
Nemo_bis raised the priority of this task from to Lowest.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 16 2015, 10:20 AM
Kelson added a subscriber: Kelson.Mar 3 2015, 7:06 PM

Change 213331 had a related patch set uploaded (by Nemo bis):
Automatically blacklist the page's source language

https://gerrit.wikimedia.org/r/213331

Nemo_bis claimed this task.May 24 2015, 5:10 PM
Nemo_bis set Security to None.
Qgil added a subscriber: Qgil.Jun 4 2015, 10:43 AM

We are trying to help all open tasks listed under "Work continues after Lyon" at the Wikimedia Hackathon 2015 workboard finding their best way forward. * If you are participating in Wikimania, consider adding the #Wikimania-Hackathon-2015 project to get this task in that loop, which is about to start. * If you think this project could welcome help from a dedicated Google Summer of Code or Outreachy intern, or from an Individual Engagement Grant, add the Possible-Tech-Projects project. * If you would like to receive some other type of support (organizing a Tech Talk, establishing contacts with existing developer teams in Wikimedia or elsewhere, travel sponsorship for a related activity... you name it), please create a subtask explaining your request and associate it with Developer-Relations (or you can start by commenting here if you prefer). * Keeping the description, priority and assigned fields up to date always helps. :) For some context about this message, see T101151: Evaluate which projects showcased at the Wikimedia Hackathon should be supported further. It is the last communication related to Wikimedia-Hackathon-2015 that we will post here.

al added a subscriber: al.Jul 23 2015, 3:25 AM
Base added a subscriber: Base.Oct 3 2015, 11:48 PM
siebrand closed this task as Resolved.Feb 19 2016, 8:44 AM

Change 213331 merged by jenkins-bot:
Automatically blacklist the page's source language

https://gerrit.wikimedia.org/r/213331